Arduino

## Serial.parseFloat()

#### Description

Serial.parseFloat() returns the first valid floating point number from the Serial buffer. Characters that are not digits (or the minus sign) are skipped. parseFloat() is terminated by the first character that is not a floating point number.

Serial.parseFloat() inherits from the Stream utility class.

#### Syntax

Serial.parseFloat()

#### Parameters

none

#### Returns

float

#### See also

- Stream
- Stream.parseFloat()

©Arduino | Edit Page | Page History | Printable View | All Recent Site Changes